;;;; srfi-modules.scm


(module srfi-0 (cond-expand) (import (only scheme cond-expand)))
(module srfi-2 (and-let*) (import (only chicken and-let*)))

(module srfi-6 (open-input-string open-output-string get-output-string) 
  (import (only chicken open-input-string open-output-string get-output-string)))

(module srfi-8 (receive) (import (only chicken receive)))
(module srfi-9 (define-record-type) (import (only chicken define-record-type)))
(module srfi-10 (define-reader-ctor) (import (only chicken define-reader-ctor)))

(module srfi-11 (let-values let*-values letrec-values) 
  (import (only chicken let-values let*-values letrec-values)))

(module srfi-12 (current-exception-handler 
		 with-exception-handler handle-exceptions
		 abort signal condition?
		 make-property-condition make-composite-condition
		 condition-predicate condition-property-accessor) 
  (import (only chicken
		current-exception-handler 
		with-exception-handler handle-exceptions
		abort signal condition?
		make-property-condition make-composite-condition
		condition-predicate condition-property-accessor)))

(module srfi-15 (fluid-let) (import (only chicken fluid-let)))
(module srfi-16 (case-lambda) (import (only chicken case-lambda)))
(module srfi-17 (setter) (import (only chicken setter)))
(module srfi-23 (error) (import (only chicken error)))
(module srfi-26 (cut cute) (import (only chicken cut cute)))
(module srfi-28 (format) (import (only extras format)))
(module srfi-31 (rec) (import (only chicken rec)))
(module srfi-39 (make-parameter parameterize) (import (only chicken make-parameter parameterize)))
(module srfi-55 (require-extension) (import (only scheme require-extension)))
(module srfi-61 (cond) (import (only scheme cond)))

(module srfi-88 (keyword? keyword->string string->keyword)
  (import (only chicken keyword? keyword->string string->keyword)))

(module srfi-98 (get-environment-variable get-environment-variables) 
  (import (only chicken get-environment-variable))
  (import (only posix get-environment-variables)))
